aboutsummaryrefslogtreecommitdiffstats
path: root/ci/travis.sh
diff options
context:
space:
mode:
authorGennadiy Civil <gennadiycivil@users.noreply.github.com>2018-01-09 00:22:32 -0500
committerGitHub <noreply@github.com>2018-01-09 00:22:32 -0500
commit0e6da4cead72ab739171bbe98570da971c3283b6 (patch)
tree99a678b6b6fe1c8bc76e14287a9b7026c03019b7 /ci/travis.sh
parentcdedd189b22a6578e935256294175b9884e3cf17 (diff)
parente194f52114a181cb3fb420d58d5ae2250207e828 (diff)
downloadgoogletest-0e6da4cead72ab739171bbe98570da971c3283b6.tar.gz
googletest-0e6da4cead72ab739171bbe98570da971c3283b6.tar.bz2
googletest-0e6da4cead72ab739171bbe98570da971c3283b6.zip
Merge branch 'master' into fix-core-dump-shared
Diffstat (limited to 'ci/travis.sh')
-rwxr-xr-xci/travis.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/ci/travis.sh b/ci/travis.sh
new file mode 100755
index 00000000..2dda68fd
--- /dev/null
+++ b/ci/travis.sh
@@ -0,0 +1,36 @@
+#!/usr/bin/env sh
+set -evx
+
+. ci/get-nprocessors.sh
+
+# if possible, ask for the precise number of processors,
+# otherwise take 2 processors as reasonable default; see
+# https://docs.travis-ci.com/user/speeding-up-the-build/#Makefile-optimization
+if [ -x /usr/bin/getconf ]; then
+ NPROCESSORS=$(/usr/bin/getconf _NPROCESSORS_ONLN)
+else
+ NPROCESSORS=2
+fi
+# as of 2017-09-04 Travis CI reports 32 processors, but GCC build
+# crashes if parallelized too much (maybe memory consumption problem),
+# so limit to 4 processors for the time being.
+if [ $NPROCESSORS -gt 4 ] ; then
+ echo "$0:Note: Limiting processors to use by make from $NPROCESSORS to 4."
+ NPROCESSORS=4
+fi
+# Tell make to use the processors. No preceding '-' required.
+MAKEFLAGS="j${NPROCESSORS}"
+export MAKEFLAGS
+
+env | sort
+
+mkdir build || true
+cd build
+cmake -Dgtest_build_samples=ON \
+ -Dgtest_build_tests=ON \
+ -Dgmock_build_tests=ON \
+ -DCMAKE_CXX_FLAGS=$CXX_FLAGS \
+ -DCMAKE_BUILD_TYPE=$BUILD_TYPE \
+ ..
+make
+CTEST_OUTPUT_ON_FAILURE=1 make test